javax.jms。*类的正确的Maven依赖是什么?

我需要导入javax.jms。*类。包含到Maven项目中的正确依赖是什么?我试图javax.jms:jms:1.1,但没有运气(它的pom,而不是jar)。

ps。到目前为止,我发现的唯一解决方法是:javax:javaee-api:6.0(来自Maven Central)。

在activemq中,我们从Apache Geronimo中提取jms规范类

  <dependency>
    <groupId>org.apache.geronimo.specs</groupId>
    <artifactId>geronimo-jms_1.1_spec</artifactId>
    <version>1.1.1</version>
  </dependency>
http://stackoverflow.com/questions/6334323/what-is-the-right-maven-dependency-for-javax-jms-classes

本站文章除注明转载外,均为本站原创或编译
转载请明显位置注明出处:javax.jms。*类的正确的Maven依赖是什么?